<html>
    <head>
      <title>jQuery Table Row Column Highlight on Hover</title>
		<style>
			body{width:610px;}
			.current-row{background-color:#B24926;color:#FFF;}
			.current-col{background-color:#1b1b1b;color:#FFF;}
			.tutorial-table{width: 100%;font-size:0.9em;border-top: #e5e5e5 1px solid;border-spacing: initial;margin: 20px 0;word-break: break-word;table-layout: fixed;}
			.tutorial-table th.table-header {background-color: #f5f5f5;padding: 5px;text-align: left;padding:10px;}
			.tutorial-table .table-row td {padding:10px;}
		</style>
		<script src="http://code.jquery.com/jquery-1.10.2.js"></script>
		<script src="http://code.jquery.com/ui/1.11.2/jquery-ui.js"></script>
		<script>
			$(document).ready(function() {
			    $('.table-row').hover(function() {             
					$(this).addClass('current-row');
			    }, function() {
					$(this).removeClass('current-row');
			    });
			   
			    $("th").hover(function() {
					var index = $(this).index();
					$("th.table-header, td").filter(":nth-child(" + (index+1) + ")").addClass("current-col");
					$("th.table-header").filter(":nth-child(" + (index+1) + ")").css("background-color","#999")
				}, function() {
					var index = $(this).index();
					$("th.table-header, td").removeClass("current-col");
					$("th.table-header").filter(":nth-child(" + (index+1) + ")").css("background-color","#F5F5F5")
				});
			}); 
		</script>
    </head>
    <body>
	   <table class="tutorial-table">
		  <thead>
			  <tr>
				<th class="table-header" width="10%">Q.No.</th>
				<th class="table-header">Question</th>
				<th class="table-header">Answer</th>
			  </tr>
		  </thead>
		  <tbody>
			  <tr class="table-row">
				<td>1.</td>
				<td>What is PHP?</td>
				<td>A server side scripting language.</td>
			  </tr>
			  <tr class="table-row">
				<td>2.</td>
				<td>What is php.ini?</td>
				<td>The configuration file.</td>
			  </tr>
			  <tr class="table-row">
				<td>3.</td>
				<td>How to set PHP configuration?</td>
				<td>By using php.ini configuration file.</td>
			  </tr>
		  </tbody>
		</table>
    </body>
</html>
